"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-313/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286340>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72863E0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286480>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286520>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72865C0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286660>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286700>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72867A0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286840>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72868E0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286980>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286A20>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286AC0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286B60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286C00>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286CA0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286D40>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286DE0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286E80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286F20>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7286FC0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287060>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287100>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72871A0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287240>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72872E0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287380>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287420>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72874C0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287560>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287600>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72876A0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287740>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72877E0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287880>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287920>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72879C0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287A60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287B00>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287BA0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287C40>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287CE0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287D80>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287E20>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287EC0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E7287F60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8040>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C80E0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8180>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8220>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C82C0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8360>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8400>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C84A0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8540>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C85E0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8680>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8720>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C87C0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8860>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8900>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C89A0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8A40>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8AE0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8B80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8C20>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8CC0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8D60>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8E00>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8EA0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8F40>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C8FE0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C9080>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C9120>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C91C0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C9260>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C9300>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C93A0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C9440>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C94E0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C9620>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C9580>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C96C0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C9760>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001B4E72C9800>)]
name: str = 'fr_HOCCN'
